//
//  ModelSettings.h
//  AsReaderScan
//
//  @brief  This file defines the implementation of the ModelSettings and RFIDDeviceInfo classes.
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <Foundation/Foundation.h>
#define df_ENCODINGTYPE_HEX     0
#define df_ENCODINGTYPE_ASCII   1
#define df_ENCODINGTYPE_SGTIN96 2
#define df_ENCODINGTYPE_EAN13   3


@interface RFIDDeviceInfo : NSObject
@property(assign) int    m_nAntiMode;
@property(assign) int    m_nRFID_RF_CHANNEL;
@property(assign) float  m_fRFIDPower;
@end

@interface ModelSettings : NSObject
+ (instancetype)sharedInstance;

@property(nonatomic, strong) RFIDDeviceInfo *m_RFIDDeviceInfo;
@property(assign) int m_nSelectTagNum;
@property(nonatomic,retain)NSMutableArray *m_arReadTagData;


@end
