//
//  EpcViewController.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <UIKit/UIKit.h>

/**
 *  @brief      This file is a view controller that deals with EPC (Electronic Product Code) data, typically used in RFID applications. It allows the user to read, modify, and write RFID tag memory via a connected device using the AsReaderDockSDK. The controller interacts with both RFID tags and the UI to display or modify the EPC data.
 */
@interface EpcViewController : UIViewController

@end
