//
//  HoppingViewController.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <UIKit/UIKit.h>

/**
 *  @brief      The HoppingViewController.m file is a view controller used for managing and interacting with FH settings on an RFID device. It uses the AsReaderDockSDK to interface with the RFID device, allowing the user to configure and view the state of frequency hopping features like Smart Mode, Normal Mode, and the hopping ON/OFF state.
 */
@interface HoppingViewController : UIViewController

@end
